{% extends 'base.html.twig' %}

{% block title %}Les articles !{% endblock %}

{% block body %}
    <div class="container">
        <h1 class="my-3">Nos articles</h1>
        {% if not is_granted('ROLE_USER') %}
            <a href="/login" class="my-2 btn btn-success">Connexion</a>
        {% else %}
            <a href="/logout" class="my-2 btn btn-danger">Déconnexion</a>
        {% endif %}
        <div class="row">
            {% for post in posts %}
                <div class="col-3 mb-3">
                    <div class="border border-dark rounded p-2">
                        <h3>{{post.title}}</h3>
                        <p>{{post.introduction}}</p>
                    <a href="#" class="btn btn-primary">Lire la suite</a>
                    {% if app.user  %}
                    <a href="{{ path('post_json_like', {'id': post.id })}}" data-url="{{ path('post_json_like', {'id': post.id })}}"  class="btn btn-link js-like"> 
                    {% else %} 
                    <a href="" class="btn btn-link disabled"> 
                    {% endif %} 
                    
                        {% if app.user and post.isLikedByUser(app.user) %}
                            <i id='fa' class="fas fa-thumbs-up"></i>
                        {% else %}
                            <i id='fa' class="far fa-thumbs-up"></i>
                        {% endif %} 
                       
                        <span class="js-likes">{{ post.likes|length}}</span>
                        <span class="js-label">J'aime</span> 
                    </a>
                    <div id="log"></div>
    
                    </div>
                </div>
            {% endfor %}
        </div>
    </div>
{% endblock %}
{% block javascripts %}
{{ parent() }}
<script src="{{ asset('axios/axios.min.js') }}"></script>
<script>
    $(document).ready(function (){
        
        (function ($) {
            $.fn.replaceClass = function (pFromClass, pToClass) {
                return this.removeClass(pFromClass).addClass(pToClass);
            };
        }(jQuery));

        $(document).on('click','a.js-like',function( event ) {
            event.preventDefault();
            const url = $(this).attr("href");  
            const fa = $(this).find("#fa");
            const spanLikes = $(this).contents('span.js-likes') ;  
            console.log("url : "+ url);
            $.get(url, function () {
                console.log("get url success"); 
            }).done(function (response){ 
                let etat = response.likes;
                console.log(etat);  
                spanLikes.text(etat);
                let $html = $(response); 
                    // ajout
                if(response.icone === "fas"){  
                    fa.replaceWith('<i id="fa" class="fas fa-thumbs-up"></i>');
                    console.log("fas : true");
                    // suppression
                }else if(response.icone === "far" ){    
                    fa.replaceWith('<i id="fa" class="far fa-thumbs-up"></i>'); 
                    console.log("far : false");
                }   
                    // $('span.js-likes').html(etat); 
                    // $('span.js-likes').load();
            }).fail(function (){
                console.log("execution corrompue");
            }).always(function (){
                console.log("fin d'execution");
            });
        });
    }); 
</script>

{% endblock %}